/**
*RegionalOptions App
* There are different ways implementing an App
*/
var RegionalOptionsApp = RegionalOptionsApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
RegionalOptionsApp.App = function () {
    this.id = 'Regional Options';
    this.name = 'Regional Options';
    this.version = '6.0.6';
    this.active = false;
    this.menuIcon = '/apps/regionaloptions/images/logo.png?v=6.0.6&';
    this.shortcutIcon = '/apps/regionaloptions/images/logo.png?v=6.0.6&';
    this.entryUrl = '/apps/regionaloptions/regionaloptions.html?v=6.0.6&';
    //this.entryHelpUrl = '/apps/regionaloptions/regionaloptions_help.html?v=6.0.6&';
    var self = this;
    this.RegionalOptionsAppWindow = function () { //create app window
        if(UNAS.CheckAppState('Regional Options')){
            return false;
        }
        self.window = new MUI.Window({
            id: 'RegionalOptionsAppWindow',
            title: UNAS._('Regional Options'),
            icon: '/apps/regionaloptions/images/logo_small.png?v=6.0.6&',
            loadMethod: 'xhr',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            contentURL: '/apps/regionaloptions/regionaloptions.html?v=6.0.6&',
            require: {  css: ['/apps/regionaloptions/css/regionaloptions.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Regional Options",'RegionalOptionsAppWindow')}
        });
    };
    this.RegionalOptionsAppUninstall = function (){
        UNAS.RemoveDesktopShortcut('Regional Options');
        UNAS.RemoveMenu('Regional Options');
        UNAS.RemoveAppFromGroups('Regional Options', 'ControlPanel');
        UNAS.RemoveAppFromGroups('Regional Options', 'Help');
        UNAS.RemoveAppFromApps('Regional Options');
    }
    new UNAS.Menu('UNAS_ControlPanel_Setting_Menu', this.name, this.menuIcon, 'Regional Options', '', this.RegionalOptionsAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Regional Options', this.RegionalOptionsAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Setting', 'Location' : 3, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
       //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Setting', 'Location' : 3, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Regional Options', UNAS._('Regional Options')); //translate menu
        //UNAS.SetShortcutTitle('Regional Options', UNAS._('Regional Options')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('RegionalOptionsAppWindow', UNAS._('Regional Options'));
        }
    }
    UNAS.LoadTranslation('/apps/regionaloptions/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name,this.shortcutIcon,this.RegionalOptionsAppWindow,this.RegionalOptionsAppUninstall);
};

new RegionalOptionsApp.App(); //Create app